Bug 742097 - API compatibility no longer enforced
API compatibility no longer enforced
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.7
Unspecified Unspecified
unspecified Severity unspecified
: 3.0
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-28 23:06 EDT by Ruediger Landmann
Modified: 2012-10-30 23:11 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-30 23:11:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ruediger Landmann 2011-09-28 23:06:00 EDT
Description of problem:
Publican 2.8 does not check for compatibility when it builds content packaged by older, incompatible versions

Version-Release number of selected component (if applicable):
2.8

How reproducible:
100%

Steps to Reproduce:
1. Package a book using an obsolete (<2.5) version of Publican
2. Attempt to build the book from the package in an environment that has Publican 2.8 installed
  
Actual results:
Package gets built

Expected results:
Build should fail with a message that the package was created with an obsolete version of Publican
Comment 1 Jeff Fearn 2011-10-04 00:25:47 EDT
Re-added API check. Added extra check for post-commit DB hook, will not run check if DB update hooks are missing.

Committed revision 1903.
Comment 2 Jared MORGAN 2012-05-08 21:21:49 EDT
For verification, can we get older versions of publican from brew?

Would the verification steps be:

Prerequisites:

* ensure brew has publican v2.8 installed (which it should by default, yes?)

1. yum downgrade publican (to revert to non-testing version). 
2. Uninstall publican. 
3. Install old publican package. 
4. Test fix.

Note You need to log in before you can comment on or make changes to this bug.